/*
 * @copyright Copyright (c) Open-Xchange GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */

package com.openexchange.subscribe.json;

import java.util.List;
import org.json.JSONArray;
import org.json.JSONObject;
import com.openexchange.exception.OXException;
import com.openexchange.subscribe.SubscriptionSource;

public interface SubscriptionSourceJSONWriterInterface {

    public static final String ID = "id";

    public static final String DISPLAY_NAME = "displayName";

    public static final String ICON = "icon";

    public static final String FORM_DESCRIPTION = "formDescription";

    public static final String NAME = "name";

    public static final String WIDGET = "widget";

    public static final String MANDATORY = "mandatory";

    public static final String DEFAULT = "default";

    public static final String MODULE = "module";

    public JSONObject writeJSON(SubscriptionSource source) throws OXException;

    public JSONArray writeJSONArray(List<SubscriptionSource> sourceList, String[] fields) throws OXException;

}
